#include "mp3encoder.h"
#include "fillplugins.h"
#include <plugin.h>

static std::vector<CodecInfo> _plugin_props;

extern "C" int GetPluginVersion() {return PLUGIN_API_VERSION;}

extern "C" const std::vector<CodecInfo>& RegisterPlugin()
{
    if (!_plugin_props.size())
	libmp3lame_FillPlugins(_plugin_props);
    return _plugin_props;
}

extern "C" IAudioEncoder* CreateAudioEncoder(const CodecInfo& info, int fourcc, WAVEFORMATEX* fmt)
{
    return new MP3Encoder(info, fmt);
}
